<?php
/**
 * Plugin Name: Webcraftic Clearfy package
 * Description: This is the package of the components of the Clearfy plugin. If you use the Clearfy plugin, please do not delete this plugin!
 * Author: Webcraftic <wordpress.webraftic@gmail.com>
 * Version: 1.1.2
 * Text Domain: clearfy
 * Domain Path: /languages/
 * Author URI: https://clearfy.pro
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( defined( 'WCLP_PLUGIN_ACTIVE' ) ) {
	return;
}

define( 'WCLP_PLUGIN_ACTIVE', true );

define( 'WCLP_PLUGIN_FILE', __FILE__ );
define( 'WCLP_PLUGIN_DIR', dirname( __FILE__ ) );
define( 'WCLP_PLUGIN_BASE', plugin_basename( __FILE__ ) );
define( 'WCLP_PLUGIN_URL', plugins_url( null, __FILE__ ) );

require_once WCLP_PLUGIN_DIR . '/boot.php';
require_once WCLP_PLUGIN_DIR . '/plugins/assets-manager-premium/assets-manager-premium.php';
require_once WCLP_PLUGIN_DIR . '/plugins/update-manager-premium/updates-manager-premium.php';
require_once WCLP_PLUGIN_DIR . '/plugins/seo-friendly-images-premium/seo-friendly-images-premium.php';
require_once WCLP_PLUGIN_DIR . '/plugins/hide-my-wp/hide-my-wp.php';

function wclp_uninstall() {
	whmp_uninstall();
}

function wclp_activation() {
	whmp_activation();
}

function wclp_deactivation() {
	whmp_deactivation();
}

register_uninstall_hook( __FILE__, 'wclp_uninstall' );
register_activation_hook( __FILE__, 'wclp_activation' );
register_deactivation_hook( __FILE__, 'wclp_deactivation' );

